"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _AbstractSortedSet = _interopRequireDefault(require("./SortedSet/AbstractSortedSet"));

var _ArrayStrategy = _interopRequireDefault(require("./SortedSet/ArrayStrategy"));

var _BinaryTreeStrategy = _interopRequireDefault(require("./SortedSet/BinaryTreeStrategy"));

var _RedBlackTreeStrategy = _interopRequireDefault(require("./SortedSet/RedBlackTreeStrategy"));

var _InsertConflictResolvers = _interopRequireDefault(require("./SortedSet/InsertConflictResolvers"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class SortedSet extends _AbstractSortedSet.default {
  constructor(options) {
    options || (options = {});
    options.strategy || (options.strategy = _RedBlackTreeStrategy.default);
    options.comparator || (options.comparator = function (a, b) {
      return (a || 0) - (b || 0);
    });
    options.onInsertConflict || (options.onInsertConflict = _InsertConflictResolvers.default.OnInsertConflictThrow);
    super(options);
  }

}

;
SortedSet.ArrayStrategy = _ArrayStrategy.default;
SortedSet.BinaryTreeStrategy = _BinaryTreeStrategy.default;
SortedSet.RedBlackTreeStrategy = _RedBlackTreeStrategy.default;
Object.assign(SortedSet, _InsertConflictResolvers.default);
var _default = SortedSet;
exports.default = _default;
module.exports = exports.default;